about summary refs log tree commit diff
path: root/scripts
diff options
context:
space:
mode:
authorzimbatm <zimbatm@zimbatm.com>2019-02-22T20·07+0100
committerzimbatm <zimbatm@zimbatm.com>2019-02-22T20·07+0100
commitb402148d8f584144b80fe159e76e553a1792ecb7 (patch)
treec716407494479f463f7c7e67d2dc86d699e2af60 /scripts
parente58a71442ad4a538b48fc7a9938c3690628c4741 (diff)
remove noop uses of nix-store --init
the nix-store --init command is a noop apparently
Diffstat (limited to 'scripts')
-rw-r--r--scripts/install-multi-user.sh3
-rw-r--r--scripts/install-nix-from-closure.sh6
2 files changed, 0 insertions, 9 deletions
diff --git a/scripts/install-multi-user.sh b/scripts/install-multi-user.sh
index 6ee8dd48582e..f93be9d3a45b 100644
--- a/scripts/install-multi-user.sh
+++ b/scripts/install-multi-user.sh
@@ -674,9 +674,6 @@ $NIX_INSTALLED_NIX.
 EOF
         fi
 
-        _sudo "to initialize the Nix Database" \
-              $NIX_INSTALLED_NIX/bin/nix-store --init
-
         cat ./.reginfo \
             | _sudo "to load data for the first time in to the Nix Database" \
                    "$NIX_INSTALLED_NIX/bin/nix-store" --load-db
diff --git a/scripts/install-nix-from-closure.sh b/scripts/install-nix-from-closure.sh
index ab20774bbf03..fc633fa2337e 100644
--- a/scripts/install-nix-from-closure.sh
+++ b/scripts/install-nix-from-closure.sh
@@ -109,12 +109,6 @@ for i in $(cd "$self/store" >/dev/null && echo ./*); do
 done
 echo "" >&2
 
-echo "initialising Nix database..." >&2
-if ! $nix/bin/nix-store --init; then
-    echo "$0: failed to initialize the Nix database" >&2
-    exit 1
-fi
-
 if ! "$nix/bin/nix-store" --load-db < "$self/.reginfo"; then
     echo "$0: unable to register valid paths" >&2
     exit 1